Subject: Re: [PATCH v6 1/5] mm: rmap: support batched checks of the references for large folios

From: "David Hildenbrand (Arm)" <[email-masked]>
Date: Fri, 27 Mar 2026 10:00:08 +0100

>> And there was ongoing feedback on this and the v5 series (at [1])?
> 
> Regarding the feedback on v5, I believe everything has been addressed.
> 
>> This doesn't really feel sane?
>>
>> And now I'm confused as to whether mm-stable patches can collect tags,
>> since
>> presumably this was in mm-stable at the point this respin was done?
>>
>> Maybe I'm missing something here but this doesn't feel like a sane
>> process?
> 
> Andrew, David, please correct me if I've missed anything. Also, please
> let me know if there's anything in the process that needs to be
> improved. Thanks.

We might have deferred that series a bit, not your fault.

The uffd change was indeed a fix. If we would have found the problem a
tiny bit later (while in stable), it would have been a standalone fixes
patch I assume.

The good thing is that all patches were reviewed+acked.

-- 
Cheers,

David